Author: Karol Gusak Category: I18n
Updated: 2012-05-21 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Divide supported locales into two categories
Description

There should be two types of locales supported by I18n package. One collection of Locale object would represent a group of locales
fully supported by the system (e.g. locales for which translation files and other localized resources are available) - as it is now. The
other category would consist of all locales supported by CLDR itself. There should be possibility to use functionality based on CLDR
data (like number formatting, parsing etc) for locales which does not belong to the first category (the "fully supported" locales).

History
#1 - 2011-07-06 19:45 - Karsten Dambekalns
- Target version set to 1.1

#2 - 2011-12-15 17:43 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Has patch set to No

What would be the advantage of that distinction?

#3 - 2012-03-12 18:44 - Christian Müller
- Assigned To deleted (Karol Gusak)

#4 - 2012-05-21 16:40 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed
- Assigned To set to Karsten Dambekalns

Support for using anything the CLDR offers is something different. That distinction seems not useful.
